[FFmpeg-devel] Fix libx264

Felipe Contreras felipe.contreras
Sat Feb 6 12:31:48 CET 2010

2010/2/3 M?ns Rullg?rd <mans at mansr.com>:
> Felipe Contreras <felipe.contreras at gmail.com> writes:
>> But would we add other dependencies each time they change them?
>> Wouldn't it be easier to just use pkg-config?
> Because pkg-config is often simply wrong, especially when not using gcc.

Is it wrong in this case? If you want -pthread instead of -lpthread
then x264's pc file can be corrected.

I think this "x264 is wrong, we will always come up with better flags
than they do" attitude is petulant, instead we should cooperate with
other projects.

In any case, the original point still stands; right now it doesn't
build (no -pthreads or -lpthreads), if you had applied my patch to use
pkg-config then it would never have broken. If they come up with yet
another dependency FFmpeg's build will break again, unless we switch
to pkg-config.

Felipe Contreras

More information about the ffmpeg-devel mailing list